Subject: Ticket Assigned - Don't miss baby play mat---Spring Housewares Co., Ltd.
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 03 Mar 2022 14:00:29 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Don't miss baby play mat---Spring Housewares Co., Ltd. 

Dear Babyshop,

Hello!
I’m Flora from Guangxi Spring Houseware Co., Ltd. I have been engaged in carpet products for 8 years. We already have some distributors in your country. We are a reliable supplier of carpets, floor mats and baby mats.
I saw your website on ins and checked it carefully, and found that we have many similar products, but our products failed to expand your local market.
If you need, I will send you the price list and catalog

Looking forward to early reply

Best regards

Flora

Guangxi Spring housewares co., Ltd.
QQ: 1877721871
Cell/ wechat/ whatsapp: +8615878171989
Email: [email-masked]
Website: https://h2hspring.en.alibaba.com/
Add: Room 1104, Unit 1, Building 7, No. 7, Minzhu Road, Qingxiu District, Nanning City, Guangxi, China

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3792885